Bug 178020 - databases/jasperserver: inadequate handling of ~/.m2 problem
databases/jasperserver: inadequate handling of ~/.m2 problem
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-21 09:20 UTC by draco
Modified: 2013-05-14 00:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description draco 2013-04-21 09:20:00 UTC
Apparently the mere extraction of databases/jasperserver installs files at /root/.m2.  This is unacceptable.

The makefile knows this, and tries to work around it.
===================
pre-extract:
        @if [ -e ~/.m2 -o -L ~/.m2 ]; then \
                ${ECHO} A maven repository exists in your home directory. Please remove ~/.m2; \
                ${FALSE} ; \
        fi

post-extract-script:
        @${LN} -fs ${WRKDIR}/.m2 ~/.m2 && ${UNZIP_CMD} -qq ${DISTDIR}/${JSMAVENARCH} -d ${WRKDIR}/.m2

post-build:
        @if [ -L ~/.m2 ]; then ${RM} -f ~/.m2; fi
===================

Any port that is installing files at /root (or $HOME) is rogue.  It's even worse that merely "make extract" will put files in the $HOME directory.

Fix: 

Maybe source files needs to be repacked without ~/.m2?
maybe --exclude option for tar?

In any case, extracting to $HOME and deleting later is not acceptable, makefile needs changing to prevent this.
How-To-Repeat: > ls ~/.m2  #verify it doesn't exist
> cd /usr/ports/databases/jasperserver
> make extract
> ls ~/.m2
Comment 1 Edwin Groothuis freebsd_committer 2013-04-21 09:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jgh@FreeBSD.org freebsd_committer 2013-04-21 23:16:03 UTC
I can look into relocating however, it is a symlink that is created in a
home directory, and it is linked to the actual files extracted into the
work directory of the port.

-jgh
Comment 3 Baptiste Daroussin freebsd_committer 2013-04-22 13:28:13 UTC
That should be fixed anyway a port shouldn't touch anything outside of
${WRKDIR} during all phases but install.

regards,
Bapt
Comment 4 dfilter freebsd_committer 2013-05-14 00:19:48 UTC
Author: jgh
Date: Mon May 13 23:19:28 2013
New Revision: 318135
URL: http://svnweb.freebsd.org/changeset/ports/318135

Log:
  - update to 5.0.0
  - address inadequate handling of ~/.m2 build directory [1]
  - bring in codehaus (bug in software, being addressed upstream)
  - adjust project URLs
  
  PR:		178020 [1]
  Reported by:	John Marino <draco@marino.st>

Modified:
  head/databases/jasperserver/Makefile
  head/databases/jasperserver/distinfo
  head/databases/jasperserver/files/patch-jasperserver__buildomatic__bin__dev.xml
  head/databases/jasperserver/files/pkg-message.in
  head/databases/jasperserver/pkg-install
  head/databases/jasperserver/pkg-plist

Modified: head/databases/jasperserver/Makefile
==============================================================================
--- head/databases/jasperserver/Makefile	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/Makefile	Mon May 13 23:19:28 2013	(r318135)
@@ -2,14 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	jasperserver
-PORTVERSION=	4.7.0
-PORTREVISION=	1
+PORTVERSION=	5.0.0
 CATEGORIES=	databases print java
-MASTER_SITES=	SF/${PORTNAME}/JasperServer/JasperReports%20Server%20${PORTVERSION}/:source1 \
-		SF/bsdsrc/:source2
-DISTFILES=	jasperreports-server-${PORTVERSION}-src.zip:source1 \
-		FreeBSD-jasperreports-server-cp-${PORTVERSION}-maven-repository.zip:source2
-EXTRACT_ONLY=	jasperreports-server-${PORTVERSION}-src.zip
+MASTER_SITES=	http://community.jaspersoft.com/sites/default/files/releases/:source1 \
+		SF/bsdsrc/:source2 \
+		http://dev.quadras.co.id/archiva/repository/internal/org/codehaus/mojo/cobertura-maven-plugin/2.5-Jaspersoft/:source3
+DISTFILES=	jasperreports-server-cp-${PORTVERSION}-src.zip:source1 \
+		FreeBSD-jasperreports-server-cp-${PORTVERSION}-maven-repository.zip:source2 \
+		cobertura-maven-plugin-2.5-Jaspersoft.jar:source3 \
+		cobertura-maven-plugin-2.5-Jaspersoft.pom:source3
+EXTRACT_ONLY=	jasperreports-server-cp-${PORTVERSION}-src.zip \
+		FreeBSD-jasperreports-server-cp-${PORTVERSION}-maven-repository.zip
+DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	jgh@FreeBSD.org
 COMMENT=	Open Source Java Reporting Library
@@ -19,15 +23,14 @@ LICENSE_COMB=	multi
 
 BUILD_DEPENDS=	mvn:${PORTSDIR}/devel/maven2
 
-SRCDIR=		${WRKDIR}/jasperreports-server-${PORTVERSION}-src
+SRCDIR=		${WRKDIR}/jasperreports-server-cp-${PORTVERSION}-src
 PATCH_WRKSRC=	${SRCDIR}
 WRKSRC=		${SRCDIR}/${PORTNAME}/buildomatic
 WRKDIR=		${WRKDIRPREFIX}${.CURDIR}/work
 SQLSRC=		${WRKSRC}/install_resources/sql
 JS=		${SRCDIR}/${PORTNAME}
 JSREPO=		${JS}-repo
-JSMAVENARCH=	FreeBSD-jasperreports-server-cp-${PORTVERSION}-maven-repository.zip
-JSUPDATE=	4.5.0-${PORTVERSION}
+JSUPDATE=	4.7.0-${PORTVERSION}
 
 NO_WRKSUBDIR=	yes
 USE_JAVA=	yes
@@ -78,15 +81,15 @@ PLIST_SUB+=	JDBC="mysql-connector-java.j
 
 #use version 90, application is certified w/ pg90
 .if ${PORT_OPTIONS:MPGSQL}
-WANT_PGSQL_VER=	90
+WANT_PGSQL_VER=	90+
 JDBC=	postgresql-9.0-802.jdbc4.jar
-DISTFILES+=	postgresql-9.0-802.jdbc4.jar:source2
+DISTFILES+=	postgresql-9.0-802.jdbc4.jar:source4
 USE_PGSQL=	yes
 DBUSER?=	pgsql
 DBPASS?=	pgsql
 DATABASE=	postgresql
 PLIST_SUB+=	JDBC=${JDBC}
-MASTER_SITES+=	http://jdbc.postgresql.org/download/:source2
+MASTER_SITES+=	http://jdbc.postgresql.org/download/:source4
 .endif
 
 .if ${PORT_OPTIONS:MTOMCAT6}
@@ -128,12 +131,6 @@ pre-fetch:
 # show the update warning before we fetch ~400MB sources
 	@${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
 
-pre-extract:
-	@if [ -e ~/.m2 -o -L ~/.m2 ]; then \
-		${ECHO} A maven repository exists in your home directory. Please remove ~/.m2; \
-		${FALSE} ; \
-	fi
-
 # We can not use the USE_DOS2UNIX routine, since WRKDIR is redefined
 # and we have to convert files in a directory above WRKSRC!
 pre-patch:
@@ -154,10 +151,10 @@ post-patch-script:
 	@${FIND} ${WRKDIR} -type f \( -name '*.orig' \) -delete
 	@${ECHO_MSG} " [ DONE ]"
 
-post-extract-script:
-	@${LN} -fs ${WRKDIR}/.m2 ~/.m2 && ${UNZIP_CMD} -qq ${DISTDIR}/${JSMAVENARCH} -d ${WRKDIR}/.m2
+pre-build: extract patch
+	@${MKDIR} ${JSREPO}/org/codehaus/mojo/cobertura-maven-plugin/2.5-Jaspersoft
+	@${CP} ${DISTDIR}/${DIST_SUBDIR}/cobertura-* ${JSREPO}/org/codehaus/mojo/cobertura-maven-plugin/2.5-Jaspersoft
 
-pre-build:
 	@${ECHO} "appServerType = ${APPTYPE}" > ${APP_PROPERTIES}
 	@${ECHO} "appServerDir = ${APPHOME}" >> ${APP_PROPERTIES}
 	@${ECHO} "dbType = ${DATABASE}" >> ${APP_PROPERTIES}
@@ -177,17 +174,25 @@ pre-build:
 .endif
 	@${ECHO} "js-path = ${JS}" >> ${APP_PROPERTIES}
 	@${ECHO} "js-pro-path = ${JS}" >> ${APP_PROPERTIES}
+	@${ECHO} "maven.build.type = repo" >> ${APP_PROPERTIES}
 	@${ECHO} "repo-path = ${JSREPO}" >> ${APP_PROPERTIES}
+	@${ECHO} "maven-localrepo-path = ${WRKDIR}/repository" >> ${APP_PROPERTIES}
 
 .if ${PORT_OPTIONS:MMYSQL}
-	${LN} -s ${JAVAJARDIR}/mysql-connector-java.jar ${SRCDIR}/${PORTNAME}/buildomatic/conf_source/db/mysql/jdbc/mysql-connector-java-5.1.17-bin.jar
+	@( if [ -f ${JAVAJARDIR}/mysql-connector-java.jar ] ; then \
+		${LN} -sf ${JAVAJARDIR}/mysql-connector-java.jar ${SRCDIR}/${PORTNAME}/buildomatic/conf_source/db/mysql/jdbc/mysql-connector-java-5.1.17-bin.jar; \
+	fi )
 .endif
 
 do-build:
 # although log will show Downloading, maven is in offline mode and can't download
+	${CP} ${APP_PROPERTIES} ${SRCDIR}/${PORTNAME}/buildomatic/sample_conf
 	@( cd ${WRKSRC} && ./js-ant clean-config )
 	@( cd ${WRKSRC} && ./js-ant gen-config )
 	@( ${CP} ${WRKDIR}/web.xml ${JS}/jasperserver-war/src/main/webappAdditions/WEB-INF/web.xml )
+.if ${PORT_OPTIONS:MMYSQL}
+	@( cd ${WRKSRC} && ./js-ant add-jdbc-driver )
+.endif
 	@( cd ${WRKSRC} && ./js-ant build-ce )
 
 .if empty(PORT_OPTIONS:MPGSQL)
@@ -206,9 +211,6 @@ do-build:
 	@${ECHO} "report.scheduler.mail.sender.protocol=${JSMAILPROTO}" >> ${QTZ_PROPERTIES}
 	@${ECHO} "report.scheduler.mail.sender.port=${JSMAILPORT}" >> ${QTZ_PROPERTIES}
 
-post-build:
-	@if [ -L ~/.m2 ]; then ${RM} -f ~/.m2; fi
-
 do-install:
 	@( cd ${WRKSRC} && ./js-ant deploy-webapp-ce )
 	@${INSTALL_DATA} ${FILESDIR}/jasperserverCreateDefaultSecurity-${DATABASE}.sql ${JSHOME}
@@ -218,12 +220,12 @@ do-install:
 	@${INSTALL} -m 440 ${QTZ_PROPERTIES} ${JSHOME}/WEB-INF/
 
 #removed shipped driver from vendor
-.if empty(PORT_OPTIONS:MMYSQL)
-	${INSTALL_DATA} ${DISTDIR}/${JDBC} ${APPHOME}/${JDBCLOC}
-	@${RM} ${APPHOME}/${JDBCLOC}/postgresql-9.0-801.jdbc4.jar
-.else
+.if ${PORT_OPTIONS:MMYSQL}
 	@${RM} ${APPHOME}/${JDBCLOC}/mysql-connector-java-5.1.17-bin.jar
 	${LN} -s ${JAVAJARDIR}/mysql-connector-java.jar ${APPHOME}/${JDBCLOC}
+.else
+	${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/${JDBC} ${APPHOME}/${JDBCLOC}
+	@${RM} ${APPHOME}/${JDBCLOC}/postgresql-9.0-801.jdbc4.jar
 .endif
 
 .if ${PORT_OPTIONS:MDOCS}

Modified: head/databases/jasperserver/distinfo
==============================================================================
--- head/databases/jasperserver/distinfo	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/distinfo	Mon May 13 23:19:28 2013	(r318135)
@@ -1,6 +1,10 @@
-SHA256 (jasperreports-server-4.7.0-src.zip) = 1aeadd60749fb3d2983366d99907b1fb0154c9c332639985369e224c96301234
-SIZE (jasperreports-server-4.7.0-src.zip) = 307483221
-SHA256 (FreeBSD-jasperreports-server-cp-4.7.0-maven-repository.zip) = c29a3b66b60407330144e8bb14301c3e81c1f82415a46335a49f8ac16207563a
-SIZE (FreeBSD-jasperreports-server-cp-4.7.0-maven-repository.zip) = 206922723
-SHA256 (postgresql-9.0-802.jdbc4.jar) = 3e800c3bd081ed0bbc9dfdd0e862b9f98fe159b3276881d2da3f2c9767f30829
-SIZE (postgresql-9.0-802.jdbc4.jar) = 543423
+SHA256 (jasperserver/jasperreports-server-cp-5.0.0-src.zip) = 0d40399cf17dc531ef605e262fd42f9e22c049fc866cf3760c1204f85621e0ec
+SIZE (jasperserver/jasperreports-server-cp-5.0.0-src.zip) = 297077830
+SHA256 (jasperserver/FreeBSD-jasperreports-server-cp-5.0.0-maven-repository.zip) = bd64cc7b424667442b241e3b7f1387a701b394385b8cedcd3ab6356e80b954f1
+SIZE (jasperserver/FreeBSD-jasperreports-server-cp-5.0.0-maven-repository.zip) = 231469126
+SHA256 (jasperserver/cobertura-maven-plugin-2.5-Jaspersoft.jar) = 287717fec79adee9120d3a8f076cace4d129138f8d33a765ac34c88219a1c0ec
+SIZE (jasperserver/cobertura-maven-plugin-2.5-Jaspersoft.jar) = 53027
+SHA256 (jasperserver/cobertura-maven-plugin-2.5-Jaspersoft.pom) = 89f141678291d33a5b583db75d7d8bf029346c55162b4829fa801d1dec26c3ec
+SIZE (jasperserver/cobertura-maven-plugin-2.5-Jaspersoft.pom) = 444
+SHA256 (jasperserver/postgresql-9.0-802.jdbc4.jar) = 3e800c3bd081ed0bbc9dfdd0e862b9f98fe159b3276881d2da3f2c9767f30829
+SIZE (jasperserver/postgresql-9.0-802.jdbc4.jar) = 543423

Modified: head/databases/jasperserver/files/patch-jasperserver__buildomatic__bin__dev.xml
==============================================================================
--- head/databases/jasperserver/files/patch-jasperserver__buildomatic__bin__dev.xml	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/files/patch-jasperserver__buildomatic__bin__dev.xml	Mon May 13 23:19:28 2013	(r318135)
@@ -1,7 +1,7 @@
---- ./jasperserver/buildomatic/bin/dev.xml.orig	2012-08-21 17:14:07.000000000 -0700
-+++ ./jasperserver/buildomatic/bin/dev.xml	2012-08-21 17:14:14.000000000 -0700
-@@ -47,7 +47,7 @@
-                 <arg value="${currentConf}/maven_settings.xml"/>
+--- ./jasperserver/buildomatic/bin/dev.xml.orig	2013-05-02 17:15:28.000000000 -0700
++++ ./jasperserver/buildomatic/bin/dev.xml	2013-05-02 17:15:49.000000000 -0700
+@@ -68,7 +68,7 @@
+                 <arg value="${maven.settings.file}"/>
                  <!-- <arg value="-e"/> --> <!-- ERROR INFO MODE -->
                  <!-- <arg value="-X"/> --> <!-- DETAILED DEBUG MODE -->
 -                <!-- <arg value="-o"/> --> <!-- OFFLINE MODE -->
@@ -9,10 +9,10 @@
                  <args/>
              </exec>
          </sequential>
-@@ -111,15 +111,6 @@
+@@ -143,15 +143,6 @@
          </sequential>
      </macrodef>
-   
+ 
 -    <macrodef name="runsvn">
 -        <attribute name="dir" default="${buildBase}"/>
 -        <element name="args" implicit="yes"/>
@@ -25,7 +25,7 @@
  
  
      <!-- ======================================================================= -->
-@@ -138,7 +129,7 @@
+@@ -170,7 +161,7 @@
              <arg value="-Dversion=${maven.jdbc.version}"/>
              <arg value="-Dpackaging=jar"/>
              <arg value="-Dfile=${currentDbDir}/jdbc/${jdbcJar}"/>
@@ -34,8 +34,8 @@
          </runmaven>
      </target>
  
-@@ -222,101 +213,6 @@
-       <echo> </echo>
+@@ -239,71 +230,6 @@
+         <echo></echo>
      </target>
  
 -    <target name="test-svn"
@@ -82,19 +82,9 @@
 -        </runsvn>
 -    </target>
 -
--    <target name="checkout-repo"
--            depends="init-source-paths"
--            description="svn checkout repo">
--        <runsvn>
--            <arg value="co"/>
--            <arg value="${repo-url}"/>
--            <arg value="${repo-path}"/>
--        </runsvn>
--    </target>
--
 -    <target name="update-all"
--            depends="update-ce,update-pro,update-repo"
--            description="svn update of ce src, pro src, and js-repo">
+-            depends="update-ce,update-pro"
+-            description="svn update of ce src and pro src">
 -    </target>
 -
 -    <target name="update-ce"
@@ -113,39 +103,10 @@
 -        </runsvn>
 -    </target>
 -
--    <target name="update-repo"
--            depends="init-source-paths"
--            description="svn update repo">
--        <if>
--            <!-- if we have repo-rev set, then that means we do not want to automatically           -->
--            <!-- update our jasperserver-repo local source. If we update we will get HEAD revision. -->
--            <!-- in this case, if you want to update jasperserver-repo, do it manually              -->
--            
--            <isset property="repo-rev"/>
--            <then>
--                <echo>INFO: Using repo revision, skipping update: </echo>
--                <echo>INFO: repo-url = ${repo-url}</echo>
--            </then>
--        <else>
--            <runsvn dir="${repo-path}">
--                <arg value="update"/>
--            </runsvn>
--        </else>
--        </if>
--    </target>
- 
      <target name="build-src-all"
              depends="build-ce, build-pro"
-@@ -324,7 +220,7 @@
-     </target>
- 
-     <target name="build-ce"
--            depends="init-source-paths, set-ce-webapp-name, install-jdbc-dep"
-+            depends="init-source-paths, set-ce-webapp-name"
-             description="Builds JasperServer CE and copies WAR to install resources">
- 
-         <!-- set these values to package avoid runtime error on windows. these two     -->
-@@ -598,12 +494,6 @@
+             description="Builds JasperServer CE/Pro and copies WAR files to install resources">
+@@ -608,11 +534,6 @@
                           build ddl pro, init js db pro, run integration tests pro, run production data pro">
      </target>
  
@@ -154,7 +115,6 @@
 -            description="(do not do svn update), clean build all src, drop-recreate db, 
 -                         build ddl pro, init js db pro, run integration tests pro, run production data pro">
 -    </target>
--
+ 
      <target name="build-all-deploy"
              depends="build-all,deploy-webapp-pro"
-             description="call build-all target, deploy webapp pro">

Modified: head/databases/jasperserver/files/pkg-message.in
==============================================================================
--- head/databases/jasperserver/files/pkg-message.in	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/files/pkg-message.in	Mon May 13 23:19:28 2013	(r318135)
@@ -30,9 +30,9 @@ Alternatively, you may choose to use the
 ==============  W A R N I N G   I M P O R T A N T   N O T E  =================
 
 To upgrade, it is recommended to refer to the Installation Guide found here:
-http://jasperforge.org/projects/jasperserver/downloads
+http://community.jaspersoft.com/documentation
 
 
 ==============  W A R N I N G   I M P O R T A N T   N O T E  =================
 
-WWW: http://jasperforge.org/projects/jasperserver
+WWW: http://community.jaspersoft.com/project/jasperreports-server

Modified: head/databases/jasperserver/pkg-install
==============================================================================
--- head/databases/jasperserver/pkg-install	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/pkg-install	Mon May 13 23:19:28 2013	(r318135)
@@ -9,7 +9,7 @@ cat << _EOF
 ==============  W A R N I N G   I M P O R T A N T   N O T E  =================
 
 To upgrade, it is recommended to refer to the Installation Guide found here:
-http://jasperforge.org/projects/jasperserver/downloads
+http://community.jaspersoft.com/documentation
 
 ==============  W A R N I N G   I M P O R T A N T   N O T E  =================
 

Modified: head/databases/jasperserver/pkg-plist
==============================================================================
--- head/databases/jasperserver/pkg-plist	Mon May 13 22:16:30 2013	(r318134)
+++ head/databases/jasperserver/pkg-plist	Mon May 13 23:19:28 2013	(r318135)
@@ -6,6 +6,7 @@
 %%APP_VERSION%%/webapps/jasperserver/META-INF/sugarcrmDS-jdbc.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-adhocChart.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-adhocCrosstab.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-adhocIntelligentChart.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-adhocTable.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-dashboard.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-navigation.xml
@@ -13,11 +14,15 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/actionModel-viewReport.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-cascade.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-data-snapshots.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-diagnostic-datasource.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-diagnostic.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-events-logging.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-export-import-web.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-hive-datasource.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-logging.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-mongodb-datasource.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-olap-connection.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-propertySettings.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-remote-services.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-report-scheduling.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-rest-services.xml
@@ -25,6 +30,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-security-web.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-security.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-themes.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-virtual-data-source.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-web-services.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-webHelp.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/applicationContext-webapp.xml
@@ -52,7 +58,13 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/ja_mondrian_messages_ja.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/ja_mondrian_messages_zh_CN.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_de.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_es.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_fr.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_it.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_ja.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_ro.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperreports_messages_zh_CN.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperserver_config.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperserver_config_de.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/bundles/jasperserver_config_es.properties
@@ -118,6 +130,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/jasperreports.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/keystore.jks
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/mondrian.properties
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/relativedate.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/classes/themes/default.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/datasources.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/decorators.xml
@@ -161,6 +174,8 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/listReportsBeans.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/logEventBeans.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/logEventFlow.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianActionBeans.xml
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianPropertiesFlow.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianXmlaSourceBeans.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/mondrianXmlaSourceFlow.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/flows/olapClientConnectionBeans.xml
@@ -247,6 +262,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/table/xls_mdxtable.xsl
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/toolbar/htoolbar.xsl
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jpivot/toolbar/vtoolbar.xsl
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.diagnostic.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.jdbc.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.quartz.base.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/js.quartz.properties
@@ -273,6 +289,8 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceJDBC.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceJNDI.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceState.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceTemplate.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceVirtual.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataType/dataType.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/dataType/dataTypeState.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/fileResource/addFileResource.jsp
@@ -309,10 +327,19 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/reportStep5State.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/reportStep6.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/addResource/reportSteps1_2.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/adminExport.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/adminImport.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/administerState.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/analysisOptions.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/logSettings.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/templateCheckbox.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/templateDetails.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/templateInputText.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/administer/templateList.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/common/dnd.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/common/download.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/common/jsEdition.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/common/jsEnvType.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/common/tooltip.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/commonJSTLScripts.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/defaultPaginatorLinks.jsp
@@ -404,6 +431,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/system/AccessDeniedPage.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/system/errorPage.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/system/jasperInteractiveErrorPage.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/system/sessionExpiredErrorPage.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/system/systemConfirm.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/viewReport/DefaultJasperViewer.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/modules/viewReport/DefaultJasperViewerState.jsp
@@ -417,8 +445,10 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/addOrganization.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/addRole.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/addUser.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/attributes.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/calculatedField.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/complexExpression.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/componentsTemplates.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/container.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/control_groupBox.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/control_searchLockup.jsp
@@ -427,8 +457,13 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/dependencies.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/detail.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/editLabel.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/exportControls.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/exportDialog.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/exportTemplates.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/generateResource.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/heartbeatOptin.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/importControls.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/importTemplates.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/inputControls.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/list.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/loading.jsp
@@ -439,6 +474,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/page.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/permissions.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/propertiesResource.jsp
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/repositorySelection.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/saveAs.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/saveValues.jsp
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/jsp/templates/select.jsp
@@ -459,6 +495,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.CC.fugue.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.CDDI.jaxb.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.CDDI.jersey.txt
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.CDDI.mimepull.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.MIT.jcryption.js.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.MIT.jquery.js.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.MIT.nwmatcher.js.txt
@@ -491,6 +528,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jasperreports.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.javacup.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.javassist.txt
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jboss.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jcommon.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jdom.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.jfreechart.txt
@@ -509,6 +547,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.postgresql.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.prototype.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.spring.txt
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.teiid.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.trove.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.utils.common.js.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.wcf.txt
@@ -517,6 +556,8 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/LICENSE.xml-api.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/Owasp.CsrfGuard-3.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/activation-1.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ant-1.7.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ant-launcher-1.7.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/antlr-2.7.6.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/aopalliance-1.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/asm-3.1.jar
@@ -528,7 +569,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/axis-saaj-1.3.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/backport-util-concurrent-3.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/barbecue-1.5-beta1.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/barcode4j-2.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/barcode4j-2.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-anim-1.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-awt-util-1.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-bridge-1.7.jar
@@ -545,9 +586,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-util-1.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/batik-xml-1.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcmail-jdk14-1.38.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcmail-jdk14-138.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcprov-jdk14-1.38.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bcprov-jdk14-138.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/bctsp-jdk14-1.38.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/c3p0-0.9.1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/cas-client-core-3.1.5.jar
@@ -564,23 +603,25 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-fileupload-1.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-httpclient-3.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-io-1.1.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-lang-2.4.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-lang-2.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-logging-1.0.4.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-math-1.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-net-3.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-pool-1.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-validator-1.3.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/commons-vfs-1.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/connector-api-1.5.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/connector-file-8.1.0.Final-lib.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/dom4j-1.6.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/dwr-2.0.3.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ehcache-core-2.5.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ehcache-core-2.6.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-properties-1.1.0.10924.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-resgen-1.3.0.11873.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/eigenbase-xom-1.3.0.11999.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/esapi-2.0GA.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/fop-0.95.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/geronimo-stax-api_1.0_spec-1.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/groovy-all-1.7.5.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/groovy-all-2.0.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/hadoop-core-1.0.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/hibernate-core-3.3.2.GA-HHH-2763.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/hibernate-jmx-3.3.2.GA.jar
@@ -593,55 +634,72 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/httpcore-4.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/httpmime-4.1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/iReport-utils-2.0.1.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/itext-2.1.7.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-core-asl-1.9.4.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/itext-2.1.7.js1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-annotations-2.0.5.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-core-2.0.5.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-core-asl-1.9.2.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-databind-2.0.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-jaxrs-1.9.2.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-mapper-asl-1.9.4.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-mapper-asl-1.9.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jackson-xc-1.9.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jai_codec-1.1_mr.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jai_core-1.1_mr.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jakarta-regexp-1.4.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-chart-themes-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-fonts-4.5.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-ofc-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-impl-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-impl-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-impl-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-common-ws-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-core-util-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-export-tool-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-jax-rs-rest-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-remote-services-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-repository-hibernate-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-rest-server-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-search-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-war-jar-4.7.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-ws-server-4.7.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-chart-themes-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-fonts-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperreports-ofc-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-common-impl-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-engine-impl-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-api-metadata-impl-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-common-ws-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-core-util-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-export-tool-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-jax-rs-rest-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-remote-services-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-repository-hibernate-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-rest-server-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-search-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-war-jar-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jasperserver-ws-server-5.0.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/javacup-0.10k.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/javassist-3.7.ga.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jaxb-api-2.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jaxb-impl-2.1.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jaxen-1.1-beta-8.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-as-build-config-7.1.1.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-as-cli-7.1.1.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-as-controller-client-7.1.1.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-as-protocol-7.1.1.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-dmr-1.1.1.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-logging-3.1.0.GA.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-marshalling-1.3.11.GA.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-remoting-3.2.3.GA.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-sasl-1.0.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jboss-threads-2.0.0.GA.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jcommon-1.0.15.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jdom-1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jdtcore-3.1.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-core-1.13-b01.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-json-1.13-b01.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-multipart-1.13-b01.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-server-1.13-b01.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-servlet-1.13-b01.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jersey-spring-1.13-b01.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jettison-1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jfreechart-1.0.12.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-jpivot-4.0.2.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-wcf-4.0.2.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/js-1.7R1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-jpivot-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ji-wcf-5.0.0.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jmx-logger-log4j-0.3.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jmx-logger-tools-0.3.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/joda-time-1.6.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/js-hive-datasource-1.0.3.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/js-mongodb-datasource-1.0.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jsf-api-1.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/json-simple-1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jsr311-api-1.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jstl-1.1.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/jta-1.1.jar
@@ -649,11 +707,14 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/libfb303-0.7.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/log4j-1.2.12.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mail-1.4.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mimepull-1.6.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mondrian-3.2.0-13661-JS-3.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mondrian.dtd
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mongo-java-driver-2.7.3.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/mvel2-2.0.14.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/nux-1.6.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/ognl-2.7.3.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/olap4j-0.9.7.309-JS-2.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/olap4j-0.9.7.309-JS-3.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/oro-2.0.8.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/png-encoder-1.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/poi-3.7.jar
@@ -661,6 +722,8 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/poi-ooxml-schemas-3.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/quartz-2.1.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/quartz-commonj-2.1.2.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/rhino-1.7R3.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/saxonhe-9.2.1.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/serializer-2.7.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/sitemesh-2.2.1-JasperSoft.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/slf4j-api-1.6.1.jar
@@ -689,19 +752,35 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/spring-webmvc-3.1.0.RELEASE.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/standard-1.1.2.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/stax-api-1.0.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/staxmapper-1.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-admin-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-api-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-client-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-common-core-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-engine-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-hibernate-dialect-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-jboss-integration-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-metadata-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/teiid-runtime-8.1.0.Final.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/tiles-api-2.1.4.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/tiles-core-2.1.4.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/tiles-jsp-2.1.4.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/tiles-servlet-2.1.4.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/translator-file-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/translator-jdbc-8.1.0.Final.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/translator-olap-8.1.0.Final.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/velocity-1.7.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/wsdl4j-1.5.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xalan-2.7.1.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xbean-2.2.0.jar
-%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xercesImpl-2.7.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xercesImpl-2.9.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xml-apis-1.3.04.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xml-apis-ext-1.3.04.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xmlbeans-2.3.0.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xmlgraphics-commons-1.3.1.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xnio-api-3.0.3.GA.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xnio-nio-3.0.3.GA.jar
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/lib/xom-1.2.5.jar
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/log4j.properties
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/logs/readme.txt
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/mondrian.connect.string.properties
@@ -711,6 +790,7 @@
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/server-config.wsdd
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/sitemesh.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/spring.tld
+%%APP_VERSION%%/webapps/jasperserver/WEB-INF/sun-web.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/tiles.xml
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/catedit.xsl
 %%APP_VERSION%%/webapps/jasperserver/WEB-INF/wcf/changeorder.xsl
@@ -951,23 +1031,42 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/administer.base.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/administer.logging.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/administer.options.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/attributes.model.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/attributes.view.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/backbone.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/cascade.cascade.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.LinkButton.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.ListBox.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.about.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.ajaxdownloader.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.ajaxuploader.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.authoritymodel.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.authoritypickerview.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.checkbox-utils.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.customTooltip.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.dependent.dialog.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.dialog.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.dialogs.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.heartbeat.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.layout.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.loginBox.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.notificationview.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.notificationviewtrait.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.pickers.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.searchBox.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.servererrorsbackbonetrait.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.state.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.statecontrollertrait.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.stateview.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.systemnotificationview.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.tabs.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.tabularList.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.templateengine.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.templateengine.tests.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.toolbarButtons.events.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.toolbarButtons.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.tooltip.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/components.utils.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.validator.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/components.webHelp.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/controls.base.js
@@ -988,14 +1087,24 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/core.key.events.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/core.layout.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/core.touch.events.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/create.report.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/encrypt.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/encryption.utils.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/error.error.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/error.system.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.app.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.extendedformview.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.formmodel.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.servererrortrait.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.shortformview.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.statecontroller.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/export.uploader.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.unittests.yui.console-filters.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.unittests.yui.console.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.unittests.yui.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.unittests.yui.test.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.backbone.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.builder.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.controls.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.dragdrop.extra.js
@@ -1013,6 +1122,10 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.underscore.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.underscore.string.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/ext.utils.unittest.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/import.app.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/import.extendedformview.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/import.formmodel.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/import.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/jasperreports-reportViewerToolbar.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/jpivot.jaPro.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/jquery/js/ext.jquery.jcryption.js
@@ -1068,6 +1181,7 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/jquery/theme/redmond/images/ui-icons_f9bd01_256x240.png
 %%APP_VERSION%%/webapps/jasperserver/scripts/jquery/theme/redmond/jquery-ui-1.8.20.custom.css
 %%APP_VERSION%%/webapps/jasperserver/scripts/jquery/ui/jquery.ui.mouse.touch.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/json2.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/list.base.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/login.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/messages.messageDetail.js
@@ -1084,6 +1198,7 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/org.user.mng.actions.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/org.user.mng.components.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/org.user.mng.main.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/pubsub.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/report.schedule.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/report.schedule.list.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/report.schedule.output.js
@@ -1124,6 +1239,7 @@
 %%APP_VERSION%%/webapps/jasperserver/scripts/tree.treenode.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/tree.treesupport.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/tree.utils.js
+%%APP_VERSION%%/webapps/jasperserver/scripts/underscore.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/utils.animation.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/utils.common.js
 %%APP_VERSION%%/webapps/jasperserver/scripts/utils.dateFormatter.js
@@ -1134,16 +1250,23 @@
 %%APP_VERSION%%/webapps/jasperserver/themes/default/dialogSpecific.css
 %%APP_VERSION%%/webapps/jasperserver/themes/default/forPrint.css
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/adhoc_datatree_icons_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/adhoc_icons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/adhoc_toolbar_buttons_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/area_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/banner_bkgd.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/bar_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/button_action_primary_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/button_action_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/button_action_square_icons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/button_capsule_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/button_options_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/chart_options_button_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/chart_type_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/column_header_bkgd.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/column_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/cursor_copy.cur
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/cursor_copy.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/dialogClose.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/disclosure_indicators_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/floatingMenu_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/grid_20x20_bkgd.png
@@ -1151,6 +1274,7 @@
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/home_icons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/inner_pagination_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/input_bkgd.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/line_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/list_node_animation.gif
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/list_pressed_bkgd.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/lists_sprite.png
@@ -1162,10 +1286,22 @@
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/message_icons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/panel_inset_inset_bkgd.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/panel_sizer_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/percent_area_thumb.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/percent_bar_thumb.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/percent_column_thumb.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/pie_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/report_load_animation.gif
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/search_sprite.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/slider_bkgd.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/slider_fill.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/slider_handle.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/slider_tickMark.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/sort_filter_icons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/sort_indicators_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/spacer.gif
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/stacked_area_thumb.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/stacked_bar_thumb.png
+%%APP_VERSION%%/webapps/jasperserver/themes/default/images/stacked_column_thumb.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/tabs_horizontal_buttons_bkgd.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/tabs_horizontal_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/default/images/tabs_vertical_sprite.png
@@ -1180,6 +1316,7 @@
 %%APP_VERSION%%/webapps/jasperserver/themes/default/pages.css
 %%APP_VERSION%%/webapps/jasperserver/themes/default/samples.css
 %%APP_VERSION%%/webapps/jasperserver/themes/default/theme.css
+%%APP_VERSION%%/webapps/jasperserver/themes/pods_summer/images/adhoc_toolbar_buttons_sprite.png
 %%APP_VERSION%%/webapps/jasperserver/themes/pods_summer/images/banner_bkgd.png
 %%APP_VERSION%%/webapps/jasperserver/themes/pods_summer/images/body_bkgnd.png
 %%APP_VERSION%%/webapps/jasperserver/themes/pods_summer/images/button_action_primary_sprite.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 jgh@FreeBSD.org freebsd_committer 2013-05-14 00:20:23 UTC
State Changed
From-To: open->closed

Thanks for the report. This was addressed in r318135.